/* =============================================================================
 *
 *  Description: This is a C++ header file for Thread ADI_TTCP_ThreadType
 *
 * -----------------------------------------------------------------------------
 *  Comments:
 *
 * ===========================================================================*/

#ifndef _ADI_TTCP_ThreadType_H_    
#define _ADI_TTCP_ThreadType_H_

#pragma diag(push)
#pragma diag(suppress: 177,401,451,826,831,1462)

#include "VDK.h"

#pragma diag(pop)

struct ThCB
{
   void *arg;
   void (*thread_function)(void *);
};

class ADI_TTCP_ThreadType : public VDK::Thread 
{
public:
    ADI_TTCP_ThreadType(VDK::Thread::ThreadCreationBlock&);
    virtual ~ADI_TTCP_ThreadType();
    virtual void Run();
    virtual int ErrorHandler();
    static VDK::Thread* Create(VDK::Thread::ThreadCreationBlock&);
private:
    struct /*ThreadCtrlBlock*/ThCB* m_pthread; // added JW    
};

#endif /* _ADI_TTCP_ThreadType_H_ */

/* ========================================================================== */
